Package org.apache.felix.framework.util

# Class CompoundEnumeration

java.lang.Object
org.apache.felix.framework.util.CompoundEnumeration

All Implemented Interfaces:
  `Enumeration`

public class CompoundEnumeration extends Object implements Enumeration

## Constructor Summary

Constructors
Constructor
Description
`CompoundEnumeration(Enumeration[] enums)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMoreElements()`
`Object`
`nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

## Constructor Details

### CompoundEnumeration

public CompoundEnumeration(Enumeration[] enums)

## Method Details

### hasMoreElements

public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration`

### nextElement

public Object nextElement()

Specified by:
  `nextElement` in interface `Enumeration`